////////////////////////////////////////////////
// @列表元素控件
////////////////////////////////////////////////

GSApp.UIControls.ListElement = function () { };

/**
 * 使用列表元素对象（GSApp.Modules.ListElement），创建列表元素控件（新闻）。
 *
 * @param {GSApp.Modules.ListElement} listElement
 */
GSApp.UIControls.ListElement.createHTMLWithListElement = function (listElement)
{
    var contentUrl
        = listElement.contentUrl;

    var timeCaption
        = GSApp.UIControls.captionOfTimeInList(listElement.createTime);

    var videoIcon
        = listElement.contentType == "shiPin" || listElement.contentType == "video"
            ? "<div class='PlayIcon'></div>"
            : "";

    var html
        = "<a href='" + contentUrl + "' target='_blank'>"
        + "<div class='GSAppUIControls ListElement News'>"
        + "	<div class='Left'>"
        + "		<div class='Title'>" + listElement.title + "</div>"
        + "		<div class='Subtitle'>" + timeCaption + "&nbsp;" + listElement.commentsCount + "评论</div>"
        + "	</div>"
        + "	<div class='Right'>"
        + "		<div class='ImageView'>"
        + "			<img src='" + listElement.thumbnailUrls[0] + "'>"
        + "			" + videoIcon
        + "		</div>"
        + "	</div>"
        + "	<div class='BottomBorder'></div>"
        + "</div>"
        + "</a>";
    { }
    return html;
}